%define		pkg	npmlog
Summary:	logger for npm
Name:		nodejs-%{pkg}
Version:	0.1.1
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	720d5edefdee24cb3742a44584ef1d29
URL:		https://github.com/isaacs/npmlog
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Requires:	nodejs-ansi < 0.4
Requires:	nodejs-ansi >= 0.3.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
logger for npm.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -a package.json log.js $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a example.js $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%{nodejs_libdir}/%{pkg}
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jan 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-npmlog.git;a=log;h=master

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 4ebad3f
- up to 0.1.1

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 9f822c5
- up to 0.1.0

* Fri Mar 07 2014 Łukasz Kieś <kiesiu@pld-linux.org> 38d5d21
- updated to 0.0.6

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> 2e634a8
- Simplify spec file

* Sun Dec 02 2012 Aria Stewart <aredridel@nbtsc.org> 090ee64
- Paramterize package name in url

* Sun Dec 02 2012 Aria Stewart <aredridel@nbtsc.org> 4e312f6
- Parameterize version

* Sun Dec 02 2012 Aria Stewart <aredridel@nbtsc.org> 833f279
- Fix URL

* Sun Dec 02 2012 Aria Stewart <aredridel@nbtsc.org> 411d158
- Fix docs and dependencies

* Sun Dec 02 2012 Aria Stewart <aredridel@nbtsc.org> 59aa169
- Initial commit

